<ng-container *ngIf="dispatchView; else dataAwaitedBlk">
  <div class="eh-h-100p" fxLayout="column">
    <div>
      <ng-container *ngIf="areAdvancedTestFilesAvailable; else noFilesBlk">
        <div class="eh-px-2 eh-pb-16 eh-ofy-scroll eh-hide-scrollbars">
          <div class="eh-txt-12 eh-mt-10 e-txt eh-txt-center e-txt--matgrey500">
            All Advanced Testing Reports
          </div>
          <!-- <div class="e-title">
            <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">calendar_view_month</mat-icon>
            <span>All Advanced Testing Reports</span>
          </div> -->
          <div *ngFor="let file of advancedTestFiles" class="eh-mt-16">
            <div class="e-card2 e-card2--round1 e-card2--hover2">
              <div class="eh-p-12">
                <div fxLayout="row nowrap">
                  <mat-icon class="e-mat-icon e-mat-icon--3">file_present</mat-icon>
                  <span class="eh-ml-8 eh-txt-12 eh-txt-breakword">{{file.fileName}}</span>
                </div>
                <div fxLayout="row" fxLayoutAlign="space-between center">
                  <div class="eh-txt-10 eh-mt-8 e-txt e-txt--matgrey500 eh-txt-italic">
                    Uploaded: {{file.uploadedAt | date:'E, d-MMM-y h:mm a':'+0530'}}
                  </div>
                  <div (click)="onDownloadFile(file)">
                    <ion-icon name="download-outline" size="large"></ion-icon>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>

      <ng-template #noFilesBlk>
        <div class="e-txt e-txt--placeholder eh-txt-center eh-p-16">
          No Advanced Testing Reports available
        </div>
      </ng-template>
    </div>
  </div>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>